import 'package:comunic/helpers/groups_helper.dart';
import 'package:comunic/models/api_request.dart';
import 'package:comunic/models/group.dart';

/// Forez groups helper
///
/// @author Pierre Hubert

class ForezGroupsHelper {
  static Future<List<Group>> getForezGroups() async {
    return (await APIRequest.withLogin("forez/get_groups").execWithThrow())
        .getArray()
        .cast<Map<String, dynamic>>()
        .map(GroupsHelper.getGroupFromAPI)
        .toList();
  }
}
